FROM node:latest

ADD consul-docker-rsa /root/.ssh/id_rsa

RUN npm install -g git2consul && apt-get install git --yes --quiet && mkdir -p /etc/service/git2consul && chmod 600 /root/.ssh/id_rsa && ssh-keyscan gitlab.com >> /root/.ssh/known_hosts
ADD config.json /etc/service/git2consul/run

ENTRYPOINT git2consul -n --config-file /etc/service/git2consul/run --endpoint $CONSUL_ENDPOINT
